Subject: Re: .a to .lib converting
From: Larry Hall <[email-masked]>
To: [email-masked], Alireza Ghasemi <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 May 2005 21:24:21 -0400

At 09:21 AM 5/25/2005, you wrote:
>On Wed, 25 May 2005, Alireza Ghasemi wrote:
>
>> Hello,
>> I want to use some cygwin .a libraries with other environments(like VC++) as
>> static .lib files.is this possible?
>
>Yes.

Or no. ;-)

>> Can I convert .a files to windows static libraries?
>
>Yes.

Or no. ;-)

>> If possible,what program do I need?
>
>This was discussed before, though I'm not sure what the correct search
>terms would be.  I believe you can simply use "mv libblah.a libblah.lib".
><http://cygwin.com/faq/faq_3.html#SEC103> might help, too.
>    Igor

Actually, this is the answer to the opposite question.  The answer to that
is as the FAQ states.  Using Cygwin .a's with VC++ isn't as easy, since 
they are going to pull in 'cygwin1.dll' and this cannot currently be 
initialized properly by non-cygwin programs.  Of course, this subject
has also be discussed in the email archives.  If interested, Alastair
Growcott suggested a "workaround".  If you're interested in it, see
<http://sources.redhat.com/ml/cygwin/2004-06/msg00274.html>.  I'd 
recommend directing questions about this to him, though it's worthwhile
to cc the list for posterity. :-)

>P.S. Your space key seems to be malfunctioning...

Yeah, I noticed that. :-)

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/